#ifndef FILE_COMPILECHECK_HPP
#define FILE_COMPILECHECK_HPP

/* Don't compile on egcs
template <bool B>
struct CompileCheck
{};

struct CompileCheck<true>
{};

struct CompileCheck<false>
{
  // not defined
  CompileCheck();
};
*/

/* this work even in C */
#if defined(__GNUC__) && __GNUC__ >= 2
#define COMPILE_CHECK(name,check) \
    extern int name[(check)?1:-1] __attribute__ ((unused))
#else
#define COMPILE_CHECK(name,check) \
    extern int name[(check)?1:-1]
#endif

#endif //FILE_COMPILECHECK_HPP
